[CmdletBinding()]
param ([string]$scriptPackageFileName)

function downloadScripts {
    write-host "Downloading package..."
    mkdir tmp -ErrorAction Ignore | out-null
    $outFile = 'tmp/scripts.zip'
    $url='http://ebay.download.menandmice.com/scripts.zip'

    $wc = New-Object System.Net.WebClient
    $wc.DownloadFile($url, (Join-path $PSScriptRoot $outFile))
    return $outFile
}

function ExtractZIP($file, $destination){
	Write-host 'Extracting...'
	Add-Type -assembly "system.io.compression.filesystem"
	[System.IO.Compression.ZipFile]::ExtractToDirectory((join-path $PSScriptRoot $file),(join-path $PSScriptRoot $destination))
}

cd $PSScriptRoot

if ($scriptPackageFileName){
    $filename = $scriptPackageFileName
} else {
    $filename = downloadScripts
}
$dest = 'tmp/scripts'
if (Test-Path $dest){
    rm -Recurse $dest 
} 
mkdir $dest -ErrorAction Ignore

ExtractZIP $filename $dest
rm $filename -force | out-null

if (Test-Path ./settings.cfg){
    rm $dest/settings.cfg -ErrorAction Ignore # so it doesn't override
}

cp $dest/* $PSScriptRoot/ -Recurse

write-host 'Done!' -ForegroundColor Green
